Subject: Re: [Bugme-new] [Bug 8961] New: BUG triggered by oidentd in netlink code

From: Patrick McHardy <[email-masked]>
Date: Sun, 02 Sep 2007 00:53:29 +0200

Athanasius wrote:
> On Sat, Sep 01, 2007 at 06:38:23PM +0200, Patrick McHardy wrote:
>>
>> You might be able to trigger it without this patch by running
>> "while true; do ss -tn; done" while doing ident queries, but
>> just running the while loop a couple of times in parallel
>> doesn't seem to trigger it here.
> 
>   I went for setting up a dummy listener in inetd, using tcpd, and
> setting hosts.allow to specify myuser@ip.  Then a few while loops
> spamming it with connections using nc.
> 
>   Anyway, on the old kernel that managed to trigger the BUG twice in
> about 30 minutes.  I'm now on 2.6.22.6 plus your patch and coming up on
> an hour (55+ mins) of the same and no sign of the BUG.
> 
>   So that looks like fixed to me.  I'll weigh in again if the daily
> logcheck throws up another.

Thanks a lot for testing, I'll send a version for current -rc
upstream tommorrow.